BFGSDummyFunctor< _Scalar, NX > Struct Template Referenceabstract

`#include <pcl/registration/bfgs.h>`

## Public Types

enum | { InputsAtCompileTime = NX }
using | Scalar = _Scalar
using | VectorType = Eigen::Matrix< Scalar, InputsAtCompileTime, 1 >

## Public Member Functions

| BFGSDummyFunctor ()
| BFGSDummyFunctor (int inputs)
virtual | ~BFGSDummyFunctor ()
int | inputs () const
virtual double | operator() (const VectorType &x)=0
virtual void | df (const VectorType &x, VectorType &df)=0
virtual void | fdf (const VectorType &x, Scalar &f, VectorType &df)=0

## Public Attributes

const int | m_inputs

## Detailed Description

### template<typename _Scalar, int NX = Eigen::Dynamic>
struct BFGSDummyFunctor< _Scalar, NX >

Definition at line 73 of file bfgs.h.

## Member Typedef Documentation

## Scalar

template<typename _Scalar, int NX = Eigen::Dynamic>

using BFGSDummyFunctor< _Scalar, NX >::Scalar = _Scalar

Definition at line 75 of file bfgs.h.

## VectorType

template<typename _Scalar, int NX = Eigen::Dynamic>

using BFGSDummyFunctor< _Scalar, NX >::VectorType = Eigen::Matrix<Scalar,InputsAtCompileTime,1>

Definition at line 77 of file bfgs.h.

## Member Enumeration Documentation

## anonymous enum

template<typename _Scalar, int NX = Eigen::Dynamic>

anonymous enum

Enumerator
InputsAtCompileTime |

Definition at line 76 of file bfgs.h.

## Constructor & Destructor Documentation

## BFGSDummyFunctor() [1/2]

template<typename _Scalar, int NX = Eigen::Dynamic>

BFGSDummyFunctor< _Scalar, NX >::BFGSDummyFunctor | ( |  | ) |

inline

Definition at line 81 of file bfgs.h.

## BFGSDummyFunctor() [2/2]

template<typename _Scalar, int NX = Eigen::Dynamic>

BFGSDummyFunctor< _Scalar, NX >::BFGSDummyFunctor | ( | int | inputs | ) |

inline

Definition at line 82 of file bfgs.h.

## ~BFGSDummyFunctor()

template<typename _Scalar, int NX = Eigen::Dynamic>

virtual BFGSDummyFunctor< _Scalar, NX >::~BFGSDummyFunctor | ( |  | ) |

inline virtual

Definition at line 84 of file bfgs.h.

## Member Function Documentation

## df()

template<typename _Scalar, int NX = Eigen::Dynamic>

virtual void BFGSDummyFunctor< _Scalar, NX >::df | ( | const VectorType & | x,
|  | VectorType & | df
| ) |  |

pure virtual

## fdf()

template<typename _Scalar, int NX = Eigen::Dynamic>

virtual void BFGSDummyFunctor< _Scalar, NX >::fdf | ( | const VectorType & | x,
|  | Scalar & | f,
|  | VectorType & | df
| ) |  |

pure virtual

## inputs()

template<typename _Scalar, int NX = Eigen::Dynamic>

int BFGSDummyFunctor< _Scalar, NX >::inputs | ( |  | ) | const

inline

Definition at line 85 of file bfgs.h.

## operator()()

template<typename _Scalar, int NX = Eigen::Dynamic>

virtual double BFGSDummyFunctor< _Scalar, NX >::operator() | ( | const VectorType & | x | ) |

pure virtual

## Member Data Documentation

## m_inputs

template<typename _Scalar, int NX = Eigen::Dynamic>

const int BFGSDummyFunctor< _Scalar, NX >::m_inputs

Definition at line 79 of file bfgs.h.

Referenced by BFGSDummyFunctor< double, 6 >::inputs().

The documentation for this struct was generated from the following file:

- pcl/registration/bfgs.h